<?php

return (function() {
    $routes = [
        'Main' => [
            '/'                 => 'index',
            '{about,contacts}/' => 'about',
            'feed.rss'          => 'rss',
            '([a-z0-9-]+)/'     => 'auto name=$(1)',
        ],
        'Admin' => [
            'admin/'                                  => 'index',
            'admin/{login,logout,log}/'               => '${1}',
            '([a-z0-9-]+)/{delete,edit}/'             => 'auto_${1} short_name=$(1)',
            '([a-z0-9-]+)/create/'                    => 'page_add short_name=$(1)',
            'admin/markdown-preview.ajax'             => 'ajax_md_preview',
            'admin/uploads/'                          => 'uploads',
            'admin/uploads/{edit_note,delete}/(\d+)/' => 'upload_${1} id=$(1)'
        ]
    ];
    if (is_dev()) {
        $routes['Main'] += [
            'articles/'         => 'articles'
        ];
        $routes['Admin'] += [
            'articles/write/'                         => 'post_add',
        ];
    }
    return $routes;
})();
